 
 
 .text-light-footer {
    color: #AAA !important
}

 
 
 .footer-links ul.list-unstyled li a:hover {
  color: #ffffff !important;
}



.social-icon:hover {
  background-color: #1E212B; 
  color:  #ffc107; 
}


.social-icons .social-icon {
  border: 1px solid rgba(255, 255, 255, 0.4);
  transition: 0.3s ease;
}


.social-icon {
  width: 36px;
  height: 36px;
  display: flex;
  align-items: center;
  justify-content: center;
  border-radius: 50%; /* circle */
}



.icon-white img {
  filter: brightness(0) invert(1);
}


.icon-red img {
 filter: invert(18%) sepia(85%) saturate(6000%) hue-rotate(355deg);
}

.icon-github img {
  filter: brightness(0) invert(1);
}

.icon-github:hover img {
  filter: none; /* back to original (black) */
}



.social-icons .social-icon:hover {
  border-color: #1AA32F;
  box-shadow: 0 0 8px rgba(13, 110, 253, 0.5);
  transform: translateY(-2px);
}